LINUX.ORG.RU

Вышел Ruby On Rails 3.0

 , ,


0

0

После более, чем 2 лет разработки, вышел Rails 3.0.

Изменения:

  • Новый механизм запросов Active Record
  • Новый механизм маршрутизации для Action Controller
  • Новый Action Mailer для отправки почты
  • Защита от XSS по умолчанию
  • Устранение проблем с кодировками (скажите до свидания «�»)
  • Улучшения в Active Model
  • Официальный API для плагинов
  • И многое другое

Ruby On Rails - популярный веб-фреймворк, написанный на Ruby. Данная версия предназначена для работы с Ruby 1.8.7, Ruby 1.9.2, и JRuby 1.5.2+.

Установить можно при помощи gem install rails --version 3.0.0

>>> Подробности



Проверено: svu ()

Отклонюсь от дискуссии и поздравлю железнодорожников.

slyjoeh ★★ ()
Ответ на: комментарий от vertexua

Ох, не скажите...
Хотя, спорить и настаивать сегодня что-то влом.

yaws ()
Ответ на: комментарий от linuks

Насчет перла не знаю (он вроде довольно быстрый), но вроде как с третьими рельсами все пересядут на руби 1.9; там тормозов нету, в отличие от 1.8.

tensai_cirno ★★★★★ ()
Ответ на: комментарий от Viglim

> <troll>А вот в php никаких проблем с кодировками отродясь не было</troll>

<troll>Если бы блокнот Windows не добавлял BOM...</troll>

Vanuan ()

> После более, чем 2 лет разработки, вышел Rails 3.0.

Запятые не нужны.

Vanuan ()
Ответ на: комментарий от Vanuan

Лорчую тебя.
Запарили уже эти безграмотные новости.

l5k ()
Ответ на: комментарий от kelyar

kelyar> a мы как-раз в четверг устраивали Rails3 prerelease party! )

Теперь надувных девок можно убрать в чулан.

sdio ★★★★★ ()
Ответ на: комментарий от anonymous

>Осиль английский язык уже, а. А не говнопереводами кормись.

Иди нахер уже, мне время жалко.

wyldrodney ()
Ответ на: комментарий от Viglim

>И кстати да, что используют железнодорожники? Oracle? PostreSQL? Что-то ещё хуже?

Да всё сразу. Ну, разве что модулей для Ingres, Firebird и более редких не нашёл.

wyldrodney ()
Ответ на: комментарий от kelyar

> really? последний раз, когда я юзал php, со строками приходилось работать через какой-то extension с функциями типа mb_*.

Деточка, вы знаете что такое обратная совместимость? Такой серьезный промышленный язык как PHP не может себе позволить вот так в раз все менять. Всякие детские поделки типа... Ах те черт, опят школота в одну кучу сгребает ЯП и фреймворки.

PavelR ()
Ответ на: комментарий от linuks

Что «perl»? Если FastCGI-ый скриптик на перле, то да он быстрее. Странный вопрос какой-то...

dizza ★★★★★ ()
Ответ на: комментарий от PavelR

>> Такой серьезный промышленный язык как PHP не может себе позволить вот так в раз все менять.

а между тем меняет
версия php 5.3 зачастую несовместима с версией 5.2

kto_tama ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.